## output-selector

output-selector — 1-to-N output stream selector

## Synopsis

    struct              GstOutputSelector;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstOutputSelector

## Properties

      "active-pad"               GstPad*               : Read / Write
      "resend-latest"            gboolean              : Read / Write
      "pad-negotiation-mode"     GstOutputSelectorPadNegotiationMode  : Read / Write

## Description

Direct input stream to one out of N output pads.

## Synopsis

### Element Information

plugin | coreelements
author | Stefan Kost <stefan.kost@nokia.com>
class | Generic

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src%d
direction | source
presence | request
details | ANY

## Details

### struct GstOutputSelector

    struct GstOutputSelector;

## Property Details

### The `"active-pad"` property

      "active-pad"               GstPad*               : Read / Write

Currently active src pad.

### The `"resend-latest"` property

      "resend-latest"            gboolean              : Read / Write

Resend latest buffer after a switch to a new pad.

Default value: FALSE

### The `"pad-negotiation-mode"` property

      "pad-negotiation-mode"     GstOutputSelectorPadNegotiationMode  : Read / Write

The mode to be used for pad negotiation.

Default value: All

## See Also

GstOutputSelector, GstInputSelector